regex-tdfa-1.2.1: Replaces/Enhances Text.Regex

Safe Haskell | None
Language | Haskell98

Text.Regex.TDFA.ByteString

Description

This modules provides `RegexMaker` and `RegexLike` instances for using `ByteString` with the DFA backend (Text.Regex.Lib.WrapDFAEngine and Text.Regex.Lazy.DFAEngineFPS). This module is usually used via import Text.Regex.TDFA.

This exports instances of the high level API and the medium level API of `compile`,`execute`, and `regexec`.

Synopsis

- data Regex
- data CompOption
- data ExecOption
- compile :: CompOption -> ExecOption -> ByteString -> Either String Regex
- execute :: Regex -> ByteString -> Either String (Maybe MatchArray)
- regexec :: Regex -> ByteString -> Either String (Maybe (ByteString, ByteString, ByteString, [ByteString]))

# Documentation

data Regex

The TDFA backend specific `Regex` type, used by this module's RegexOptions and RegexMaker

Instances

RegexOptions Regex CompOption ExecOption |

data CompOption

Control whether the pattern is multiline or case-sensitive like Text.Regex and whether to capture the subgroups (1, 2, etc). Controls enabling extra anchor syntax.

Instances

Read CompOption |
Show CompOption |
RegexOptions Regex CompOption ExecOption |

data ExecOption

Instances

Read ExecOption |
Show ExecOption |
RegexOptions Regex CompOption ExecOption |

compile

Arguments

:: CompOption | Flags (summed together)
-> ExecOption | Flags (summed together)
-> ByteString | The regular expression to compile
-> Either String Regex | Returns: the compiled regular expression

execute

Arguments

:: Regex | Compiled regular expression
-> ByteString | ByteString to match against
-> Either String (Maybe MatchArray) |

regexec

Arguments

:: Regex | Compiled regular expression
-> ByteString | ByteString to match against
-> Either String (Maybe (ByteString, ByteString, ByteString, [ByteString])) |